(defun lbx-rtd (a) (* (/ a pi) 180.0))
(defun C:DDD (/ pnt sc)
;;; (lbx-sysvarbegin
;;; ‘(“blipmode” “cecolor” “regenmode” “osmode”)
;;; )
(if (not atemp)
(setq atemp 0.0)
)
(setvar “blipmode” 0)
(if (not _col_)
(setq _col_ 1)
)
(setq _col_ (acad_colordlg _col_ t 7))
(if _col_
(progn
;;; (mlayer “ARROWS” nil “CONTINUOUS”)
;;; (lbx-cmake-layer nil “ARROWS” “7” “CONTINUOUS”)
(setvar “cecolor” (itoa _col_))
(if (not dims)
(setq dims 1.0)
)
(setvar “osmode” 0)
(if (setq pnt (getpoint “nStarting point: “))
(setq sc (getdist pnt
(strcat “nArrow size [1/2/3/4/5] <“
(rtos dims)
“>: “
)
)
)
)
(if (= sc nil)
(setq sc dims)
)
(setq dims sc)
(if (and pnt sc)
(progn
(prompt “nAlignment: “)
(setq
ang (getangle (strcat “nAngle [0/90/45/30/60] <“
(rtos (lbx-rtd atemp) 2 0)
“>: “
)
pnt
)
)
(if (= ang nil)
(setq ang atemp)
)
(setq atemp ang)
(adrag pnt ang sc)
)
)
)
)
;;; (lbx-sysvarend)
;;; )
;;; )
(princ)
)
명령을 실행시키면 오스냅이 꺼져요.. 원래 쓰던 오스냅 설정대로 쓰고 싶은데…
다른 글들 보고 따라해봤는데.. 리습에 문외한인지라…
따라서 해보니까 오스냅은 안꺼지는데.. 명령이 안먹더라구요.. 흑 ㅡㅜ;;
어떻게 수정해야 하나요.. 알려주세요~~ 흑..
그리고 처음에 컬러를 선택하는게 있는데.. 컬러 선택 없이.. 기존의 레이어에 그대로 그릴수는 없나요??
색상선택하는 과정 없애는 방법도 알고 싶어요~~
꼭좀 부탁드립니다~~ 흑흑..